<?php
/*
Plugin Name: NBC EditoOnIndex
Version: 1.3.c
Description: Rajoute un cadre "EditoOnIndex" sur votre page d'accueil.
Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=146
Author: Nicco
Author URI: http://gallery-nicco.no-ip.org
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
define('NBC_EDITOONINDEX_PATH' , PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');

global $conf, $im_priority;

if (isset($conf['IndexManager'])) {
	include_once( PHPWG_PLUGINS_PATH . 'IndexManager/index_manager.php' );
	check_indexmanager('EditoOnIndex');
}

/* Set the administration panel of the plugin */
function nbc_EditoOnIndex_admin_menu($menu)
{
  array_push($menu,
    array(
      'NAME' => 'EditoOnIndex',
      'URL' => get_admin_plugin_menu_link(NBC_EDITOONINDEX_PATH.'admin/nbc_EditoOnIndex_admin.php')
    )
  );
    
  return $menu;
}

function nbc_EditoOnIndex()
{
  global $page, $conf, $user;
  
  $conf_nbc_EditoOnIndex = explode("," , $conf['nbc_EditoOnIndex']);

  if ( isset($page['body_id']) and ($page['body_id'] == 'theCategoryPage') and isset($page['section']) and ($page['section'] == 'categories') and !isset($page['category']) )
  {
    if ( !isset($conf_nbc_EditoOnIndex[3]) or ($conf_nbc_EditoOnIndex[3] == '') or eval('return '.$conf_nbc_EditoOnIndex[3].';') )
    {
      include_once(NBC_EDITOONINDEX_PATH.'nbc_EditoOnIndex.php');
    }
  }
}


add_event_handler('loc_end_index' , 'nbc_EditoOnIndex', isset($im_priority) ? $im_priority['EditoOnIndex'] : 40);
add_event_handler('get_admin_plugin_menu_links', 'nbc_EditoOnIndex_admin_menu');

?>
